## org.apache.xml.serializer
Interface TransformStateSetter

All Known Subinterfaces:
  TransformState

public interface TransformStateSetter

This interface is meant to be used by a base interface to TransformState, but which as only the setters which have non Xalan specific types in their signature, so that there are no dependancies of the serializer on Xalan. This interface is not a public API, it is only public because it is used by Xalan.

See Also:
  `TransformState`
Usage:
  **For internal use only**

Method Summary
`void` `resetState(Transformer transformer)` Reset the state on the given transformer object.
`void` `setCurrentNode(Node n)` Set the current node.

Method Detail

### setCurrentNode

    public void setCurrentNode(Node n)

  Set the current node.
  Parameters:
    `n` - The current node.

### resetState

    public void resetState(Transformer transformer)

  Reset the state on the given transformer object.
  Parameters:
    `transformer` -

Copyright © 2006 Apache XML Project. All Rights Reserved.